hscolour-1.23: Colourise Haskell code.

Safe Haskell | Safe
Language | Haskell98

Language.Haskell.HsColour.Anchors

Synopsis

- insertAnchors :: [(TokenType, String)] -> [Either Anchor (TokenType, String)]

# Documentation

insertAnchors :: [(TokenType, String)] -> [Either Anchor (TokenType, String)]

`insertAnchors` places an anchor marker in the token stream before the first defining occurrence of any identifier. Here, before means immediately preceding its type signature, or preceding a (haddock) comment that comes immediately before the type signature, or failing either of those, before the first equation.